Loading...
Searching...
No Matches
LineBreakContext Struct Reference

Context representing internal state of the line breaking algorithm. More...

`#include <linebreakdef.h>`

Collaboration diagram for LineBreakContext:
[legend]

## Data Fields

const char * | lang
| Language name.
const struct LineBreakProperties * | lbpLang
| Pointer to LineBreakProperties.
enum LineBreakClass | lbcCur
| Breaking class of current codepoint.
enum LineBreakClass | lbcNew
| Breaking class of next codepoint.
enum LineBreakClass | lbcLast
| Breaking class of last codepoint.
size_t | posLast
| Last position in input string.
bool | fLangCjk
| zh/ja/ko language
bool | fLangStrict
| -strict suffix
bool | fLb8aZwj
| Flag for ZWJ (LB8a).
bool | fLb21aHebrew
| Flag for Hebrew letters (LB21a).
int | cLb30aRI
| Count of RI characters (LB30a).
enum Lb25State | eLb25
| LB25 state for numeric expression.
size_t | posLb25Fixup
| Position to fix for LB25.
bool | fLb25Mark
| Flag for pending fixup.

## Detailed Description

Context representing internal state of the line breaking algorithm.

This is useful to callers if incremental analysis is wanted.

## Field Documentation

## cLb30aRI

int LineBreakContext::cLb30aRI

Count of RI characters (LB30a).

## eLb25

enum Lb25State LineBreakContext::eLb25

LB25 state for numeric expression.

## fLangCjk

bool LineBreakContext::fLangCjk

zh/ja/ko language

## fLangStrict

bool LineBreakContext::fLangStrict

-strict suffix

## fLb21aHebrew

bool LineBreakContext::fLb21aHebrew

Flag for Hebrew letters (LB21a).

## fLb25Mark

bool LineBreakContext::fLb25Mark

Flag for pending fixup.

## fLb8aZwj

bool LineBreakContext::fLb8aZwj

Flag for ZWJ (LB8a).

## lang

const char* LineBreakContext::lang

Language name.

## lbcCur

enum LineBreakClass LineBreakContext::lbcCur

Breaking class of current codepoint.

## lbcLast

enum LineBreakClass LineBreakContext::lbcLast

Breaking class of last codepoint.

## lbcNew

enum LineBreakClass LineBreakContext::lbcNew

Breaking class of next codepoint.

## lbpLang

const struct LineBreakProperties* LineBreakContext::lbpLang

Pointer to LineBreakProperties.

## posLast

size_t LineBreakContext::posLast

Last position in input string.

## posLb25Fixup

size_t LineBreakContext::posLb25Fixup

Position to fix for LB25.

The documentation for this struct was generated from the following file:

- linebreakdef.h